#pragma once
#include <map>
struct M_ActivityFishingCeleStageData
{
	//阶数
	int mID;
	//激活奖励
	std::vector<int> mActiveId;
	//激活奖励数量
	std::vector<int> mActiveCount;
	//低保次数
	int mSubAllowCount;
};

class M_ActivityFishingCeleStage
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleStage> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleStageData* GetData(int ID);
	const std::map<int, M_ActivityFishingCeleStageData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFishingCeleStage* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFishingCeleStageData> mMapData;
};
